Results 1 to 3 of 3

Thread: Need Upgrade Advice

  1. #1
    Join Date
    Jul 2008
    Location
    NJ, USA
    Posts
    43

    Default Need Upgrade Advice

    I have a desktop running OpenSuSE 10.1 and MythTV (along with MySQL, Apache, etc.). Its sole function is MythTV, and Apache, etc. are only visible on my LAN. As such, I haven't updated it very much in the past two years.

    I just ran out of space on my video partition, so I bought a 500GB SATA disk and an Initio 1622 PCI SATA card - which, though it advertised "linux compatibility", needs the sata_inic162x driver.

    Here's my problem:
    1) The kernels in the update repository for 10.1 are all 2.6.16.x. The sata_inic162x driver first appeared in 2.6.21, and from what I hear, had issues throughout most of the early .21 tree.

    2) I didn't follow my usual convention of making two equally-sized system partitions on the main disk in this machine, so I can't install 11.0 on a separate partition.

    3) I'm VERY wary of trying the "system upgrade" feature. I did this once on a 9.3 box when 10.2 was just out, and it ended up upgrading glibc and then dieing, so the whole system ended up unusable!

    Any suggestions, short of chuck 2 years' of customizations, scripts, and little config files hiding here and there, and install 11.0?

  2. #2
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,683
    Blog Entries
    4

    Default Re: Need Upgrade Advice

    Maybe put the SATA disk in a USB2 external disk enclosure? Or exchange for a supported controller?

  3. #3
    Join Date
    Jul 2008
    Location
    NJ, USA
    Posts
    43

    Default Re: Need Upgrade Advice

    The biggest issue here is that I'm without a way to watch TV until I get this working...

    I'm pretty sure that I don't have a USB enclosure that supports SATA... I guess I'll have to dig around for a new controller... or else bite the bullet and upgrade...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •